The __set_state handler

- « DateTimeImmutable::modify

- DateTimeImmutable::setDate »

- PHP Manual
- DateTimeImmutable
- The __set_state handler

# DateTimeImmutable::__set_state

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

DateTimeImmutable::__set_state — The __set_state handler

### Description

public static DateTimeImmutable::__set_state(array `$array`): DateTimeImmutable

The __set_state() handler.

### Parameters

`array`

  Initialization array.

### Return Values

Returns a new instance of a DateTimeImmutable object.